Kite(3)

NAME
Kite - The namespace dedicated to Kite.

SYNOPSIS

  Classes
class DataNegociate
Algorimthmic datas associated the TrackSegment.
class HorizontalTrack
Horizontal track managment.
class KiteEngine
The Kite Tool.
class Manipulator
Handle TrackElement ripup & topological modifications.
class NegociateWindow
Perform the routing, main RoutingEvent manager.
class RoutingEvent
Atomic Placement Request for a TrackSegment.
class RoutingEventHistory
History of RoutingEvent.
class RoutingEventLoop
Simple loop dectector for RoutingEvent.
class RoutingEventQueue
The priority Queue of RoutingEvent.
class RoutingPlane
Array of Tracks in one Layer.
class SegmentAction
Store request for an event to be generated on a TrackElement.
class SegmentFsm
Pseudo-decorator to process a RoutingEvent.
class SegmentObserver
Observer on the base AutoSegment.
class Session
Kite update Session.
class Track
Structure managing one routing track.
class TrackElement
Abstract Class for all Elements inserted inside a Track.
class TrackFixedSegment
Track elements for fixed wires.
class TrackMarker
Tag part of Track with a weight.
class TrackSegment
Derived Katabatic::AutoSegment for the router.
class VerticalTrack
Vertical track managment.

  Typedefs
typedef void() SegmentOverlapCostCB(const TrackElement *, TrackCost &)

  Enumerations
enum FunctionFlags { , KtLoadGlobalRouting = 0x00000001, KtBuildGlobalRouting = 0x00000002, KtAllowDoglegReuse = 0x00000004, KtDataSelf = 0x00000008, KtNearest = 0x00000010, KtForce = 0x00000020, KtResetCount = 0x00000040, KtWithPerpands = 0x00000080, KtWithConstraints = 0x00000100 }

Detailed Description

The namespace dedicated to Kite.

Typedef Documentation

  SegmentOverlapCostCB
Prototype of overlap cost callback functions.

See also: TrackSegment::setOverlapCostCB(), TrackSegment::getOverlapCost().

Enumeration Type Documentation

  enum FunctionFlags

Enumerator

KtLoadGlobalRouting
    Reload the global routing from a preciously saved run (.kgr file).

KtBuildGlobalRouting
    Run the global router Knik.

KtAllowDoglegReuse
    Allow sharing of dogleg.

KtDataSelf
    To be documented.

KtNearest
    Round the position to the nearest track axis.

KtForce
    Force to perform an action ignoring the 'up to date' state.

KtResetCount
    Tells to reset a counter.

KtWithPerpands
    Ripup perpandiculars alongside the current segment.

KtWithConstraints
    Force constraints recomputation.

Author

Generated automatically by Doxygen for Kite - Detailed Router from the source code.